Classes | Namespaces | Typedefs | Enumerations | Functions
QXPTypes.h File Reference
`#include "libqxp_utils.h"`
`#include <boost/optional.hpp>`
`#include <boost/variant.hpp>`
`#include <memory>`
`#include <vector>`
`#include <utility>`

Go to the source code of this file.

## Classes
struct | libqxp::Point
struct | libqxp::Rect
struct | libqxp::Color
struct | libqxp::Gradient
struct | libqxp::LineStyle
struct | libqxp::CharFormat
struct | libqxp::HJ
struct | libqxp::TabStop
struct | libqxp::ParagraphRule
struct | libqxp::ParagraphFormat
struct | libqxp::TextSpec
struct | libqxp::CharFormatSpec
struct | libqxp::ParagraphSpec
struct | libqxp::Text
struct | libqxp::Arrow
struct | libqxp::Frame
struct | libqxp::LinkedTextSettings
struct | libqxp::TextObject
struct | libqxp::TextSettings
struct | libqxp::TextPathSettings
struct | libqxp::CurveComponent
struct | libqxp::Object
struct | libqxp::Line
struct | libqxp::TextPath
struct | libqxp::Box
struct | libqxp::TextBox
struct | libqxp::PictureBox
struct | libqxp::Group
struct | libqxp::PageSettings
struct | libqxp::Page
struct | libqxp::QXPDocumentProperties

## Namespaces
| libqxp

## Typedefs
typedef boost::variant< Color, Gradient > | libqxp::Fill

## Enumerations
enum | libqxp::GradientType { libqxp::GradientType::LINEAR, libqxp::GradientType::MIDLINEAR, libqxp::GradientType::RECTANGULAR, libqxp::GradientType::DIAMOND, libqxp::GradientType::CIRCULAR, libqxp::GradientType::FULLCIRCULAR }
enum | libqxp::LineCapType { libqxp::LineCapType::BUTT, libqxp::LineCapType::ROUND, libqxp::LineCapType::RECT, libqxp::LineCapType::STRETCH }
enum | libqxp::LineJoinType { libqxp::LineJoinType::MITER, libqxp::LineJoinType::ROUND, libqxp::LineJoinType::BEVEL }
enum | libqxp::HorizontalAlignment { libqxp::HorizontalAlignment::LEFT, libqxp::HorizontalAlignment::CENTER, libqxp::HorizontalAlignment::RIGHT, libqxp::HorizontalAlignment::JUSTIFIED, libqxp::HorizontalAlignment::FORCED }
enum | libqxp::VerticalAlignment { libqxp::VerticalAlignment::TOP, libqxp::VerticalAlignment::CENTER, libqxp::VerticalAlignment::BOTTOM, libqxp::VerticalAlignment::JUSTIFIED }
enum | libqxp::TabStopType { libqxp::TabStopType::LEFT, libqxp::TabStopType::CENTER, libqxp::TabStopType::RIGHT, libqxp::TabStopType::ALIGN }
enum | libqxp::ContentType { libqxp::ContentType::UNKNOWN, libqxp::ContentType::OBJECTS, libqxp::ContentType::NONE, libqxp::ContentType::TEXT, libqxp::ContentType::PICTURE }
enum | libqxp::TextPathAlignment { libqxp::TextPathAlignment::ASCENT, libqxp::TextPathAlignment::CENTER, libqxp::TextPathAlignment::BASELINE, libqxp::TextPathAlignment::DESCENT }
enum | libqxp::TextPathLineAlignment { libqxp::TextPathLineAlignment::TOP, libqxp::TextPathLineAlignment::CENTER, libqxp::TextPathLineAlignment::BOTTOM }
enum | libqxp::CornerType { libqxp::CornerType::DEFAULT, libqxp::CornerType::ROUNDED, libqxp::CornerType::BEVELED, libqxp::CornerType::CONCAVE }
enum | libqxp::BoxType { libqxp::BoxType::UNKNOWN, libqxp::BoxType::RECTANGLE, libqxp::BoxType::OVAL, libqxp::BoxType::POLYGON, libqxp::BoxType::BEZIER }

## Functions
bool | libqxp::operator== (const Point &lhs, const Point &rhs)
bool | libqxp::operator!= (const Point &lhs, const Point &rhs)